Bug 487610 - GFS: Change gfs freeze/unfreeze to use new standard
GFS: Change gfs freeze/unfreeze to use new standard
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-kmod (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Abhijith Das
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 18:03 EST by Robert Peterson
Modified: 2010-03-30 04:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: gfs-kmod-0.1.34-9.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2009-02-26 18:03:53 EST
Description of problem:
Recently, Eric Sandeen proposed changing the RHEL5 kernel for 5.4
so that it uses the new standard for freeze/unfreeze.  His patch
changed all the kernel file systems, but gfs-kernel lies outside
his jurisdiction.  If his change goes into 5.4, we should change
gfs-kernel so that it uses the same mechanisms as the other file
systems.

Version-Release number of selected component (if applicable):
RHEL5.3

How reproducible:


Steps to Reproduce:
If I understand this correctly, you should be able to use a tool
that uses the new standard freeze/unfreeze mechanism for gfs.
For example: xfs_freeze -f and xfs_freeze -u
  
Actual results:


Expected results:


Additional info:
See:
http://post-office.corp.redhat.com/archives/rhkernel-list/2009-February/msg00672.html
Comment 1 Eric Sandeen 2009-04-21 10:56:55 EDT
FWIW only very recent xfs_freeze will work on a "foreign" filesystem.  The xfsprogs that will ship with RHEL5.4 will do it, though (still needs to be checked in).
Comment 2 Abhijith Das 2009-05-22 16:02:25 EDT
Ported and checked into RHEL5 git branch.
Comment 4 Robert Peterson 2009-12-21 22:02:19 EST
Build 2163243 is now complete and successful.  This is now fixed
in gfs-kmod-0.1.34-9.el5.  Changing status to Modified.
Comment 7 Jaroslav Kortus 2010-03-03 12:36:05 EST
/dev/mapper/vedder-vedder0 on /mnt/vedder0 type gfs (rw,hostdata=jid=0:id=196609:first=1)
[root@z2 ~]# xfs_freeze -f /mnt/vedder0/
[root@z4 ~]# echo test > /mnt/vedder0/file (frozen as expected)
[root@z2 ~]# xfs_freeze -u /mnt/vedder0 (unexpected freeze on open(..) call)

The FS cannot be unfrozen and reboot is required.

[root@z2 ~]# rpm -q kmod-gfs
kmod-gfs-0.1.34-11.el5
[root@z2 ~]# uname -a
Linux z2 2.6.18-189.el5 #1 SMP Tue Feb 16 11:10:22 EST 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@z2 ~]# rpm -q xfsprogs
xfsprogs-2.10.2-7.el5
Comment 10 Jaroslav Kortus 2010-03-09 10:00:39 EST
Unfreeze hang is caused by bug 570530. As this patch works as expected and the hang is another bug I'm marking this as verified.
Comment 12 errata-xmlrpc 2010-03-30 04:56:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0291.html

Note You need to log in before you can comment on or make changes to this bug.